Import transaction info in ISO20022 format

OpenAPI 1.2.0

Скачать исходную спецификацию

Варианты

  • Паблик

Операции API

POST /v1/iso20022/currency-transaction-certificate — Send currency transaction certificate

{
  "tags": [
    "currency-transaction-certificate"
  ],
  "summary": "Send currency transaction certificate",
  "operationId": "currencyTransactionCertificate",
  "parameters": [
    {
      "name": "Id-Token",
      "in": "header",
      "description": "Current user token",
      "required": true,
      "schema": {
        "type": "string"
      }
    }
  ],
  "requestBody": {
    "description": "Currency transaction certificate information in xml representation",
    "content": {
      "application/xml": {
        "schema": {
          "type": "string"
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "Currency transaction certificate task has been successfully created",
      "content": {
        "application/xml": {
          "schema": {
            "type": "UUID"
          }
        }
      }
    },
    "400": {
      "description": "Validation errors",
      "content": {
        "text/plain": {
          "schema": {
            "type": "string",
            "description": "Error message"
          }
        }
      }
    },
    "401": {
      "description": "Authorization error",
      "content": {
        "text/plain": {
          "schema": {
            "type": "string",
            "description": "Error message"
          }
        }
      }
    },
    "403": {
      "description": "An access is denied",
      "content": {
        "text/plain": {
          "schema": {
            "type": "string",
            "description": "Error message"
          }
        }
      }
    },
    "409": {
      "description": "The message id or transaction id is duplicated",
      "content": {
        "text/plain": {
          "schema": {
            "type": "string",
            "description": "Error message"
          }
        }
      }
    },
    "500": {
      "description": "An unexpected error has occurred (server unavailable, etc.)",
      "content": {
        "text/plain": {
          "schema": {
            "type": "string",
            "description": "Error message"
          }
        }
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ]
}

Схемы и примеры

{
  "securitySchemes": {
    "bearerAuth": {
      "type": "http",
      "scheme": "bearer",
      "bearerFormat": "JWT"
    }
  }
}